Bug 730663 - Timidity daemon and Rosegarden MIDI/audio output no longer works
Summary: Timidity daemon and Rosegarden MIDI/audio output no longer works
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: timidity++
Version: 14
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 09:46 UTC by David W. Legg
Modified: 2013-07-02 23:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:36:06 UTC


Attachments (Terms of Use)

Description David W. Legg 2011-08-15 09:46:47 UTC
Description of problem:
On FC13 (and FC8 through to FC10),I can just say:
timidity -iA&
rosegarden

and the MIDI/audio output from rosegarden 10 just works out of the box ok.

On FC14, this does not work; there is no sound.
Sometimes, when I kill rosegarden, a whole load of sound comes out of timidity aftwerwards, but I get none while rosegarden is actually running.

Anybody know what has changed between FC13 and FC14?
Is this a timidy problem or a rosegarden problem?

Version-Release number of selected component (if applicable):
timidity++-2.13.2-21.fc14.x86_64
libtimidity-0.1.0-8.fc12.x86_64
rosegarden4-11.06-1.fc14.x86_64


How reproducible:
100%

Steps to Reproduce:
1. timidity -iA &
2. rosegarden
3. Hit play button or add a note (anything that should make a sound)
  
Actual results:
Silence, or some sound later after exitting rosegarden.

Expected results:
Sound while actually using rosegarden.

Additional info:
If I export a MIDI file from rosegarden, I can play it later using timidity.
It's just when using timidity as a daemon that I get no sound.

Comment 1 David W. Legg 2011-12-06 14:27:31 UTC
Seems to be being managed by Bug 757316 now.

See also http://sourceforge.net/tracker/index.php?func=detail&aid=3394463&group_id=4932&atid=104932

Comment 2 Fedora End Of Life 2012-08-16 13:36:09 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.